Summary: A tool for finding out information about a specified file.
Name: stat
Version: 2.5
Release: 2
License: GPL
Group: Applications/File
Source: ftp://metalab.unc.edu/pub/Linux/utils/file/%{name}-%{version}.tar.gz
Patch0: stat-2.4-config.patch
Patch1: stat-2.4-2gb.patch
Patch2: stat-2.5-misc.patch
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
The stat utility prints out filesystem level information about a
specified file, including its size, permissions, link count, and
inode.

%prep
%setup -q
%patch0 -p1 -b .config
%patch1 -p1 -b .2gb
%patch2 -p1 -b .misc

%build
make

%install
rm -rf ${RPM_BUILD_ROOT}

make DESTDIR="${RPM_BUILD_ROOT}" mandir=%{_mandir} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_bindir}/stat
%{_mandir}/man1/*

%changelog
* Wed Aug  8 2001 Than Ngo <than@redhat.com>
- fix bug #51173

* Mon Jun 25 2001 Than Ngo <than@redhat.com>
- update to 2.5
- Copyright -> License

* Sun May 06 2001 Than Ngo <than@redhat.com>
- updated to 2.4
- fixed to support 2gb (bug #39082)
- fixed ftp site
- clean up specfile

* Wed Mar 14 2001 Tim Powers <timp@redhat.com>
- fixed copyright

* Thu Jul 27 2000 Jeff Johnson <jbj@redhat.com>
- upgrade to (new version) 2.2 to support 64 bit inodes (#10604).

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jun 14 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 11)

* Tue Dec 15 1998 Jeff Johnson <jbj@redhat.com>
- 64bit dev_t causes stack alignment problem (from baccala@freesoft.org)

* Fri Jul 31 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu Jul 30 1998 Alan Iwi <iwi@atm.ox.ac.uk>
- handle stat errors w/o failing

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
